import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { AccordionVariant, NsAccordionHeader, NsIconVariants } from '../..';

type ComponentType = typeof NsAccordionHeader;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Containers/Accordion/NsAccordionHeader',
    component: NsAccordionHeader,
    decorators: [withCenterDecorator],
    argTypes: {
        title: { control: 'string' },
        openedIconName: {
            control: 'select',
            options: Object.keys(NsIconVariants),
        },
        closedIconName: {
            control: 'select',
            options: Object.keys(NsIconVariants),
        },
    },
    args: {
        title: 'Nuskin',
        variant: AccordionVariant.Compact,
        onClick: () => {
            console.log('accordion header clicked');
        },
        startIcon: {
            name: 'home',
        },
        openedIconName: 'arrowUp',
        closedIconName: 'arrowDown',
        isOpen: false,
    },
} as MetaStory;

export const ClosedHeader: Story = {};
export const OpenedHeader: Story = {
    args: {
        isOpen: true,
    },
};
