import React from 'react';
import { render, screen } from '@testing-library/react';
import NsHeroCardLevel1 from '../NsHeroCardLevel1';

describe('NsHeroCardLevel1 component', () => {
    const props = {
        cardTitle: 'A skin ready for winter',
        cardDescription:
            'We have brought these discoveries to life through our powerful skin care products and supplements.',
        backgroundImageUrl:
            'https://media.nuskin.com/m/9734240cc191163/webimage-lash-brow-serum-carousel-image-launch.png',
        backgroundImageAlt: 'lash brow serum carousel',
        button: {
            showButton: true,
            buttonText: 'SHOP NOW',
            buttonVariant: 'contained' as 'contained',
            url: '#',
            endIcon: 'home' as 'home',
        },
    };

    it('1. renders with correct content and styles', () => {
        render(<NsHeroCardLevel1 {...props} />);

        const heroCard = screen.getByTestId('hero-card-level-1');
        expect(heroCard).toBeInTheDocument();

        const shopNowLink = screen.queryByText('SHOP NOW');
        expect(shopNowLink).toBeInTheDocument();
    });

    it('2. does not render button when button prop is false', () => {
        let updatedProps = { ...props };
        updatedProps.button.showButton = false;
        const { container } = render(<NsHeroCardLevel1 {...updatedProps} />);

        const button = container.querySelector('.action-link');
        expect(button).toBeNull();
    });
});
