import { styled } from '@nuskin/foundation-theme';
import IconWrapper from './IconWrapper';
import { NsTypography, NsLink, NsIcon } from '..';

interface CarousalControlProps {
    next(): void;
    prev(): void;
    viewAllLabel: string;
    viewAllUrl: string;
}
/*
This component is visible over the carousal and it has prev and next buttons and view all link
*/
const Wrapper = styled.div`
    display: flex;
    justify-content: flex-end;
`;
const InnerWrapper = styled.div`
    display: flex;
    gap: 20px;
    align-items: center;
`;
const CarousalControl = ({ next, prev, viewAllUrl, viewAllLabel }: CarousalControlProps) => {
    return (
        <Wrapper>
            <InnerWrapper>
                {viewAllUrl ? (
                    <NsLink href={viewAllUrl} underlineOnHover={false}>
                        <NsTypography decoration="underline" variant="body-l">
                            {viewAllLabel}
                        </NsTypography>
                    </NsLink>
                ) : null}
                <IconWrapper onClick={prev} className="carousal-prev-button">
                    <NsIcon name="arrowLeft" />
                </IconWrapper>
                <IconWrapper onClick={next} className="carousal-next-button">
                    <NsIcon name="arrowRight" />
                </IconWrapper>
            </InnerWrapper>
        </Wrapper>
    );
};
export default CarousalControl;
