import { ImageProps } from 'next/image';

export type NsNextImageProps = Pick<
    ImageProps,
    | 'src'
    | 'height'
    | 'width'
    | 'alt'
    | 'priority'
    | 'sizes'
    | 'quality'
    | 'placeholder'
    | 'style'
    | 'loading'
    | 'blurDataURL'
    | 'fill'
    | 'unoptimized'
    | 'loader'
> & { id?: string; className?: string };

export type NsImageProps = {
    alt: string;
    className?: string;
    fill?: boolean;
    height?: number | string;
    id?: string;
    src: string;
    variant?: 'product' | 'award' | 'icon' | 'fill';
    width?: number | string;
};
