import React from 'react';
import { styled } from '@nuskin/foundation-theme';

import { render } from '@/test-utils/index';
import { NsLink } from './';

const CustomLink = styled.a`
    color: red;
    font-size: 30px;
`;
describe('Link', () => {
    test('renders default link', () => {
        const { getByText } = render(<NsLink href="https://example.com">Example</NsLink>);
        const linkElement = getByText('Example');
        expect(linkElement.tagName).toBe('A');
    });

    test('passes href to custom component', () => {
        const { getByText } = render(
            <NsLink href="https://example.com" passHref prefetch>
                <CustomLink>Example</CustomLink>
            </NsLink>
        );
        const linkElement = getByText('Example');
        expect(linkElement.tagName).toBe('A');
    });
});
