import { styled, ColorUtils } from '@nuskin/foundation-theme';
import { LinearProgress } from '@mui/material';
import CheckCircleIcon from '@mui/icons-material/CheckCircle';
import { NsProgressProps } from './types';
import { NsTypography } from '../typography';

const { color, paletteColor } = ColorUtils;
export const StyledCheckCircle = styled(CheckCircleIcon)`
    color: ${color('neutral', '50')};
    padding-top: 0.6em;
    padding-right: 0.5em;
    justify-self: flex-end;
`;

export const ProgressInfo = styled(NsTypography)`
    display: flex;
    justify-content: flex-end;
    font-weight: 700;
    text-transform: uppercase;
`;

export const StyledLinearProgress = styled(LinearProgress)<Omit<NsProgressProps, 'value'>>(
    ({ height, backgroundColor, barColor, theme }) => ({
        width: '334px',
        height,
        backgroundColor: paletteColor(backgroundColor)({ theme }),
        borderRadius: '8px',
        display: 'inline-block',

        '.MuiLinearProgress-bar': {
            backgroundColor: paletteColor(barColor)({ theme }),
        },
    })
);
export const StyledProgress = styled('div')(() => {
    return {
        display: 'grid',
        gridTemplateRows: '30px 30px',
        '.progress-info': {
            justifyContent: 'flex-end',
            display: 'flex',
            alignItems: 'center',
        },
        '.progress-bar': {
            display: 'flex',
            alignItems: 'center',
            '.MuiSvgIcon-root': {
                padding: '0',
                margin: '0',
                height: '100%',
                position: 'relative',
                left: '-4px',
                scale: '1.3',
            },
        },
    };
});
